/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreProcesstype;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreProcesstypeRecord extends UpdatableRecordImpl<TCoreProcesstypeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_processtype.pk</code>.
     */
    public void setPk(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_processtype.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_processtype.name</code>.
     */
    public void setName(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_processtype.name</code>.
     */
    public String getName() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_processtype.description</code>.
     */
    public void setDescription(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_processtype.description</code>.
     */
    public String getDescription() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreProcesstypeRecord
     */
    public TCoreProcesstypeRecord() {
        super(TCoreProcesstype.T_CORE_PROCESSTYPE);
    }

    /**
     * Create a detached, initialised TCoreProcesstypeRecord
     */
    public TCoreProcesstypeRecord(Integer pk, String name, String description) {
        super(TCoreProcesstype.T_CORE_PROCESSTYPE);

        setPk(pk);
        setName(name);
        setDescription(description);
        resetChangedOnNotNull();
    }
}
